#ifndef GEOPOLYGONUTILITIES_H
#define GEOPOLYGONUTILITIES_H

#include <QPointF>
#include <QGeoCoordinate>
#include <QVector3D>
#include <QGeoCoordinate>


namespace GeoUtilites {

    typedef QList<QVector3D> QVector3DFList;
    typedef QList<QGeoCoordinate> QGeoList;

    const double earthRadius = 6378137; // meter

    QGeoCoordinate  toGeo       (const QVector3D &point, const QGeoCoordinate &origin);
    QGeoList        toGeo       (const QVector3DFList &points, const QGeoCoordinate &origin);
    QVector3D       toCartesian (const QGeoCoordinate &point, const QGeoCoordinate &origin);
    QVector3DFList  toCartesian (const QGeoList &coordinates, const QGeoCoordinate &origin);
}
#endif // GEOPOLYGONUTILITIES_H
